Any success with OFED 2.0-3.0.0 on RHEL 6.5/CentOS 6.5?

Looks like there are quite large changes between RHEL 6.4 / 6.5 kernels.

Has anyone had success with OFED 2.0-3.0.0? Thought I’d ask before tackling the beast…

Thanks!

  • Anthony

I’ve got OFED 2.0-3.0.0 to build against RHEL 6.5 2.6.32-431.1.2.0.1.el6.x86_64 with

minor tweaks to the source rpm.

However, someone (from Mellanox?) in another thread mentioned an ETA of a couple of weeks

for 2.1 with RHEL 6.5 compatibility.

2.1 version with RHEL 6.5 support should be available from mellanox.com web site on 1/8 or 1/9

I just tried it, but got the result “not supported on Centos_6.5”, when trying to build the RPM’s. So stuck with the non-Mellanox packages.

Correction: I found the answer to my question below at http://community.mellanox.com/docs/DOC-1131 https://community.mellanox.com/s/article/howto-change-port-type-in-mellanox-connectx-3-adapter

An excellent post, Thanks!

The reason for installing the Mellanox OFED instead of the standard repo version, was that I needed to set VPI HCA to Ethernet mode, using the “/sbin/connectx_…” script.

If someone has an idea how to do it without this script, and persistent after reboot, just let me know ;-)

If a supported version for 6.5 is available soon, I’m willing to give it a try.

Regards, Ingvar